summaryrefslogtreecommitdiffstats
path: root/libraries/libtomcrypt
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libtomcrypt')
-rw-r--r--libraries/libtomcrypt/README5
-rw-r--r--libraries/libtomcrypt/libtomcrypt.SlackBuild103
-rw-r--r--libraries/libtomcrypt/libtomcrypt.info10
-rw-r--r--libraries/libtomcrypt/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/libtomcrypt/README b/libraries/libtomcrypt/README
new file mode 100644
index 0000000000..e42f4f75aa
--- /dev/null
+++ b/libraries/libtomcrypt/README
@@ -0,0 +1,5 @@
+LibTomCrypt is a fairly comprehensive, modular and portable
+cryptographic toolkit that provides developers with a vast
+array of well known published block ciphers, one-way hash
+functions, chaining modes, pseudo-random number generators,
+public key cryptography and a plethora of other routines.
diff --git a/libraries/libtomcrypt/libtomcrypt.SlackBuild b/libraries/libtomcrypt/libtomcrypt.SlackBuild
new file mode 100644
index 0000000000..6d101fca35
--- /dev/null
+++ b/libraries/libtomcrypt/libtomcrypt.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libtomcrypt
+
+# Copyright 2017 Andrzej Telszewski, Banie
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Multiple ideas shamelessly stolen from libtommath.SlackBuild
+# by B. Watson (yalhcru@gmail.com).
+
+PRGNAM=libtomcrypt
+VERSION=${VERSION:-1.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=crypt
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ # Use upstream CFLAGS.
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ # Use upstream CFLAGS.
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ # Use upstream CFLAGS.
+ LIBDIRSUFFIX="64"
+else
+ # Use upstream CFLAGS.
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Note: -DTFM_DESC is left out, since it requires TomsFastMath.
+# Note: -ltfm is left out, since it requires TomsFastMath.
+CFLAGS="-DGMP_DESC -DLTM_DESC" \
+EXTRALIBS="-lgmp -ltommath" \
+make -f makefile.shared
+
+make -f makefile.shared install \
+ LIBPATH=/usr/lib$LIBDIRSUFFIX \
+ INSTALL_USER=root \
+ INSTALL_GROUP=root \
+ DESTDIR=$PKG
+
+chmod 0644 $PKG/usr/include/*.h
+rm $PKG/usr/lib64/*.a
+strip --strip-unneeded $PKG/usr/lib$LIBDIRSUFFIX/*.so.*.*.*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a demos doc/crypt.pdf notes changes LICENSE README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/doc/$PRGNAM-$VERSION/demos/test
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libtomcrypt/libtomcrypt.info b/libraries/libtomcrypt/libtomcrypt.info
new file mode 100644
index 0000000000..8adf64afc3
--- /dev/null
+++ b/libraries/libtomcrypt/libtomcrypt.info
@@ -0,0 +1,10 @@
+PRGNAM="libtomcrypt"
+VERSION="1.17"
+HOMEPAGE="http://www.libtom.net/LibTomCrypt/"
+DOWNLOAD="https://github.com/libtom/libtomcrypt/releases/download/1.17/crypt-1.17.tar.bz2"
+MD5SUM="cea7e5347979909f458fe7ebb5a44f85"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libtommath"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/libraries/libtomcrypt/slack-desc b/libraries/libtomcrypt/slack-desc
new file mode 100644
index 0000000000..5d17bb3470
--- /dev/null
+++ b/libraries/libtomcrypt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libtomcrypt: libtomcrypt (modular and portable cryptographic toolkit)
+libtomcrypt:
+libtomcrypt: LibTomCrypt is a fairly comprehensive, modular and portable
+libtomcrypt: cryptographic toolkit that provides developers with a vast
+libtomcrypt: array of well known published block ciphers, one-way hash
+libtomcrypt: functions, chaining modes, pseudo-random number generators,
+libtomcrypt: public key cryptography and a plethora of other routines.
+libtomcrypt:
+libtomcrypt: Homepage: http://www.libtom.net/LibTomCrypt/
+libtomcrypt:
+libtomcrypt: